using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Microsoft.SqlServer.Dts.Pipeline;
using Microsoft.SqlServer.Dts.Pipeline.Design;
using Microsoft.SqlServer.Dts.Pipeline.Wrapper;
using Microsoft.SqlServer.Dts.Runtime;

namespace DataFlowComponent
{
    [CLSCompliant(false)]
    class CapitalizeUI: IDtsComponentUI
    {

        IDTSComponentMetaData90 _MetaData;
        IServiceProvider _serviceProvider;

        [CLSCompliant(false)]
        public void Initialize(IDTSComponentMetaData90 MetaData, IServiceProvider serviceProvider)
        {
            _MetaData = MetaData;
            _serviceProvider = serviceProvider;
        }

        public void Delete(System.Windows.Forms.IWin32Window parentWindow)
        {
            // do nothing when an item is deleted from the controller
        }

        public void New(System.Windows.Forms.IWin32Window parentWindow)
        {
            // do nothing when the user first adds the task
        }

        public bool Edit(IWin32Window parentWindow, Variables variables, Connections connections)
        {
            try
            {
                CapitalizeUIForm ui = new CapitalizeUIForm(_MetaData, variables, connections, _serviceProvider);
                DialogResult result = ui.ShowDialog(parentWindow);
                if (result == DialogResult.OK)
                {
                    return true;
                }

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
            return false;
        }

        public void Help(IWin32Window helpWindow)
        {

        }

    }
}
