using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.SqlServer.Dts.Pipeline.Design;
using Microsoft.SqlServer.Dts.Pipeline.Wrapper;
using Microsoft.SqlServer.Dts.Runtime;
using System.Collections;
using Microsoft.SqlServer.Dts.Runtime.Wrapper;

namespace DataFlowComponent
{
    public partial class CapitalizeUIForm : Form
    {
        #region Instance Variables
        private IDTSComponentMetaData90 _MetaData;
        private Variables _variables;
        private Connections _connections;
        private IServiceProvider _serviceProv;
        private bool InitialStartup = false;
        #endregion

        public CapitalizeUIForm(IDTSComponentMetaData90 metaData, Variables variables, Connections connections, IServiceProvider serviceProv)
        {
            InitializeComponent();
            try
            {
                InitialStartup = true;
                #region Local Variables
                _MetaData = metaData;
                _variables = variables;
                _connections = connections;
                _serviceProv = serviceProv;
                #endregion

                #region Populate Drop downs
                ArrayList columnNames = new ArrayList();
                foreach (IDTSVirtualInputColumn90 col in metaData.InputCollection[0].GetVirtualInput().VirtualInputColumnCollection)
                {
                    columnNames.Add(col.Name);
                }
                columnNames.Sort();
                this.cbxColumns.DataSource = columnNames;
                if (_MetaData.CustomPropertyCollection["CapitalizeColumn"] != null)
                {
                    this.cbxColumns.SelectedIndex = this.cbxColumns.FindStringExact(_MetaData.CustomPropertyCollection["CapitalizeColumn"].Value.ToString(), 0);
                }

                #endregion


                InitialStartup = false;
            }
            catch (Exception ex)
            {
                MessageBox.Show("An error occurred loading the form: "+ System.Environment.NewLine + ex.Message.ToString());
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Form f = (((Button)(sender)).FindForm());
            if (((ComboBox)(f.Controls.Find("cbxColumns", true).GetValue(0))).SelectedIndex != -1)
            {
                _MetaData.CustomPropertyCollection["CapitalizeColumn"].Value = ((ComboBox)(f.Controls.Find("cbxColumns", true).GetValue(0))).SelectedItem;
            }
            DialogResult = DialogResult.OK;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }

        private void cbxColumns_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (!InitialStartup)
                _MetaData.CustomPropertyCollection["CapitalizeColumn"].Value = ((ComboBox)(sender)).SelectedItem;
        }
    }
}